#!/bin/bash

##################
### Definition ###
##################

## prefix
PUB_PREFIX="/home/hayato/pub_mypostgres/bin"

## Used source
SOURCE=head

## Number of runs
NUMRUN=3

## Measurement duration
DURATION=300

## Number of clients during a run
NUMCLIENTS=15

###########################
### measure performance ###
###########################

for i in `seq ${NUMRUN}`
do
    # Prepare clean enviroment for each measurements
    ./row_filter_setup.sh $SOURCE

    echo "=================="
    echo "${SOURCE}_${i}.dat"
    echo "=================="

    # Do actual measurements                                                                                        
    ${PUB_PREFIX}/pgbench -p 5431 -U postgres postgres -c $NUMCLIENTS -j $NUMCLIENTS -T $DURATION > pub_${SOURCE}_${i}.dat &
    pgbench -p 5432 -U postgres postgres -c $NUMCLIENTS -j $NUMCLIENTS -T $DURATION > sub_${SOURCE}_${i}.dat
done
